
Foreman - Bug #14129

Error 'TypeError: redeclaration of const KEY_DELM' for scoped search of smart class parameter.

03/10/2016 12:49 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Web Interface   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1316124 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3303

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1316124

Description of problem:

Firebug console shows Error 'TypeError: redeclaration of const KEY_DELM' for any search query in search box.

Version-Release number of selected component (if applicable):

Satellite 6.2 snap 2.1

How reproducible:

Always

Steps to Reproduce:

1. Create a repo with puppet module.

2. Create a CV with above puppet module and publish the CV.

3. Go to Configure > Smart Class parameters, it will list parameters in a table.

4. Open a firebug Console> errors.

5. Attempt to search a parameter with some query in search box.

e.g: 'override = True'

Actual results:

Firebug console shows an error 'TypeError: redeclaration of const KEY_DELM'.

Expected results:

No Error.

Additional info:

Associated revisions

Revision 2e1dc83d - 03/10/2016 04:32 AM - Ori Rabin

Fixes #14129 - remove duplicate declaration of KEY_DELM

Revision a6cc053c - 04/18/2016 01:45 PM - Ori Rabin

Fixes #14129 - remove duplicate declaration of KEY_DELM

(cherry picked from commit 2e1dc83df509910f36753330b26fc74f7e59d2d5)

History

#1 - 03/10/2016 01:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3303 added

#2 - 03/10/2016 05:02 AM - Ori Rabin

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 2e1dc83df509910f36753330b26fc74f7e59d2d5.

#3 - 03/10/2016 05:04 AM - Dominic Cleal

- translation missing: en.field_release set to 141
